package com.yunfeiyun.agmp.fms.domain;

import java.math.BigDecimal;
import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 变动申请对象 WmsChangeapply
 * 
 * @author 杨晓辉
 * @date 2023-05-25
 */
public class WmsChangeapply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 变化申请标识 */
    private String changeapplyId;


    /** 变化申请方式 */
    @Excel(name = "变化申请方式")
    private String changeapplyWay;

    /** 变化申请业务类型 */
    @Excel(name = "变化申请业务类型")
    private String changeapplyBiztype;



    /** 变化申请总价 */
    @Excel(name = "变化申请总价")
    private BigDecimal changeapplyPricetotal;

    /** 变化申请申请人 */
    @Excel(name = "变化申请申请人")
    private String changeapplyApplyer;

    /** 变化申请申请时间 */
    @Excel(name = "变化申请申请时间")
    private String changeapplyApplydate;

    /** 变化申请审核状态 */
    @Excel(name = "变化申请审核状态")
    private String changeapplyAuditstatus;

    /** 变化申请审核时间 */
    @Excel(name = "变化申请审核时间")
    private String changeapplyAuditdate;



    /** 变化申请审核时间 */
    @Excel(name = "变化申请审核时间")
    private String changeapplyAuditor;

    /** 变化申请备注 */
    @Excel(name = "变化申请备注")
    private String changeapplyRemark;

    /** 出入库时间 */
    @Excel(name = "出入库时间")
    private String changeapplyInoutdate;

    /** 变化申请审核意见 */
    @Excel(name = "变化申请审核意见")
    private String changeapplyComments;

    public void setChangeapplyId(String changeapplyId)
    {
        this.changeapplyId = changeapplyId;
    }

    public String getChangeapplyId()
    {
        return changeapplyId;
    }
    public void setChangeapplyWay(String changeapplyWay)
    {
        this.changeapplyWay = changeapplyWay;
    }

    public String getChangeapplyWay()
    {
        return changeapplyWay;
    }
    public void setChangeapplyBiztype(String changeapplyBiztype)
    {
        this.changeapplyBiztype = changeapplyBiztype;
    }

    public String getChangeapplyBiztype()
    {
        return changeapplyBiztype;
    }

    public void setChangeapplyPricetotal(BigDecimal changeapplyPricetotal)
    {
        this.changeapplyPricetotal = changeapplyPricetotal;
    }

    public BigDecimal getChangeapplyPricetotal()
    {
        return changeapplyPricetotal;
    }
    public void setChangeapplyApplyer(String changeapplyApplyer)
    {
        this.changeapplyApplyer = changeapplyApplyer;
    }

    public String getChangeapplyApplyer()
    {
        return changeapplyApplyer;
    }
    public void setChangeapplyApplydate(String changeapplyApplydate)
    {
        this.changeapplyApplydate = changeapplyApplydate;
    }

    public String getChangeapplyApplydate()
    {
        return changeapplyApplydate;
    }
    public void setChangeapplyAuditstatus(String changeapplyAuditstatus)
    {
        this.changeapplyAuditstatus = changeapplyAuditstatus;
    }

    public String getChangeapplyAuditstatus()
    {
        return changeapplyAuditstatus;
    }
    public void setChangeapplyAuditdate(String changeapplyAuditdate)
    {
        this.changeapplyAuditdate = changeapplyAuditdate;
    }

    public String getChangeapplyAuditdate()
    {
        return changeapplyAuditdate;
    }

    public String getChangeapplyAuditor() {
        return changeapplyAuditor;
    }

    public void setChangeapplyAuditor(String changeapplyAuditor) {
        this.changeapplyAuditor = changeapplyAuditor;
    }
    public void setChangeapplyRemark(String changeapplyRemark)
    {
        this.changeapplyRemark = changeapplyRemark;
    }

    public String getChangeapplyRemark()
    {
        return changeapplyRemark;
    }

    public String getChangeapplyInoutdate() {
        return changeapplyInoutdate;
    }

    public void setChangeapplyInoutdate(String changeapplyInoutdate) {
        this.changeapplyInoutdate = changeapplyInoutdate;
    }

    public String getChangeapplyComments() {
        return changeapplyComments;
    }

    public void setChangeapplyComments(String changeapplyComments) {
        this.changeapplyComments = changeapplyComments;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("changeapplyId", getChangeapplyId())
            .append("changeapplyWay", getChangeapplyWay())
            .append("changeapplyBiztype", getChangeapplyBiztype())
            .append("changeapplyPricetotal", getChangeapplyPricetotal())
            .append("changeapplyApplyer", getChangeapplyApplyer())
            .append("changeapplyApplydate", getChangeapplyApplydate())
            .append("changeapplyAuditstatus", getChangeapplyAuditstatus())
            .append("changeapplyAuditdate", getChangeapplyAuditdate())
            .append("changeapplyRemark", getChangeapplyRemark())
            .toString();
    }
}
